ユーザ用ツール

サイト用ツール


ja:installer

差分

この文書の現在のバージョンと選択したバージョンの差分を表示します。

この比較画面にリンクする

ja:installer [2017/01/12 ] (現在)
N_Miya 作成
ライン 1: ライン 1:
 +====== DokuWiki インストーラー ======
 +
 +''​install.php''​ 設定スクリプトは、[[ja:​dokuwiki|DokuWiki]] の初期設定を助けます。
 +必要な PHP 関数が利用可能かを確認し、必要なファイルのアクセス権を確認します。
 +また、初期管理者アカウントと初期[[ja:​acl|ACL]]ポリシーを作成します。
 +Webブラウザから %%http://​[dokuwikiPath]/​%%**install.php** にアクセスすることで、設定スクリプトは実行されます。
 +(セキュリティ上の理由により、新規か未変更な DokuWiki 上でのみ動作します。)
 +
 +入力項目の説明と障害に対応するためのエラーの詳細について、以下をお読み下さい。
 +
 +===== 入力項目 =====
 +
 +DokuWiki インストーラーで入力するオプションとその意味です。
 +
 +  * **Wiki名**\\ Wikiの [[ja:​config:​title|title]] オプションを指定します。デフォルトテンプレートでは、右上隅に表示されます。
 +  * **ACL(アクセス管理)を使用する**\\ このチェックボックスがオンの場合のみ、これ以降の項目を利用できます。[[ja:​acl|ACL]] の設定は DokuWiki 動作の必須条件ではないですが、未設定だと管理画面にアクセスできません。設定することを推奨します。
 +  * **スーパーユーザー**\\ 作成される管理者アカウントのユーザ名を指定します。小文字のASCII文字のみを使用できます。スペースは許されません。 ​
 +  * **フルネーム**\\ スーパーユーザーの本名を指定します。
 +  * **メールアドレス**\\ スーパーユーザーのメールアドレスを指定します。@が含まれるかどうかのチェックのみでそれ以上のチェックは行われませんが、有効なアドレスを指定してください。 ​
 +  * **パスワード**\\ スーパーユーザーのパスワードを指定します。
 +  * **確認**\\ タイプミス防止のためパスワードを再入力します。
 +  * **ACL初期設定**!\\ [[ja:​acl|ACL]] 初期設定を行います。Wiki の使用目的に応じて選択してください。あくまでも初期設定なので、インストール後 ACL ルールを調整するとよいでしょう。
 +  * **ユーザー自身で登録可能 ** \\ チェックボックスがオフの場合、自分自身ではユーザー登録できません(例:[[ja:​config:​disableactions|設定項目:​ disableactions]]に "​register"​ 動作モードを追加します)。
 +
 +===== よくあるエラーメッセージ =====
 +
 +サーバー上で DokuWiki が動作可能なこと確認するため、DokuWiki インストーラーは一定の要件を確認します。
 +インストーラーは次のようなメッセージを表示することがあります。 ​
 +
 +**xxx に書き込みできません。このディレクトリの権限を確認して下さい。**\\
 +もっとも一般的なエラーです。
 +表示されたディレクトリに Web サーバからの書込み権限が必要です。
 +詳細は [[install:​permissions|permissions]] を参照してください。 ​
 +
 +他に考えられる原因は、data ディレクトリと conf ディレクトリを移動した場合です。
 +(DokuWiki インストーラーを実行する前に、[[ja:​security|セキュリティ]]の説明をお読みください。
 +移動操作はDokuWiki インストーラー__終了後__に実施すべきです。)
 +
 +**PHPの関数 xxx が使用できません。ホスティング会社が何らかの理由で無効にしている恐れがあります。**\\
 +通常 PHP インタプリタガ提供している特定の関数が見つからないことを示しています。
 +PHPのバージョンが古すぎる(DokuWiki の動作には PHP 5.3.3 以上が必要)、PHP の該当の拡張がインストールされていない(あまりないケース)、ホスティング会社が何らかの理由で関数を無効にしていることを意味します。
 +
 +この問題を解消しない限り DokuWiki は動作しません。
 +PHPのバージョンを上げるか、ホスティング会社にPHPの設定を確認してください。 ​
 +
 +**xxx - 正しくない、もしくは値が空です。**\\
 +項目に入力した値が適切ではないことを示します。
 +各項目にどういう値を入力すべきなのかは[[#​入力項目]]を参照してください。
  
ja/installer.txt · 最終更新: 2017/01/12 by N_Miya